summaryrefslogtreecommitdiff
path: root/sys-apps/lm_sensors/files/lm_sensors.initd
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-09-13 17:49:31 +0100
committerV3n3RiX <venerix@redcorelinux.org>2019-09-13 17:49:31 +0100
commit36ac65103bf5503e5bad1ecc7e8cb9e7643f6840 (patch)
treed9d1fbc20509d4c90f57fb2d9e1459bc8034c831 /sys-apps/lm_sensors/files/lm_sensors.initd
parenta1392efe64137262023d92492396ca9156d22396 (diff)
Revert "gentoo resync : 13.09.2019"
This reverts commit a1392efe64137262023d92492396ca9156d22396.
Diffstat (limited to 'sys-apps/lm_sensors/files/lm_sensors.initd')
-rw-r--r--sys-apps/lm_sensors/files/lm_sensors.initd21
1 files changed, 21 insertions, 0 deletions
diff --git a/sys-apps/lm_sensors/files/lm_sensors.initd b/sys-apps/lm_sensors/files/lm_sensors.initd
new file mode 100644
index 000000000000..4efc6c964040
--- /dev/null
+++ b/sys-apps/lm_sensors/files/lm_sensors.initd
@@ -0,0 +1,21 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+command="/usr/bin/sensors"
+
+depend() {
+ need localmount
+ after modules-load
+}
+
+start() {
+ ebegin "Initializing sensors"
+ ${command} --set >/dev/null 2>&1
+ eend $?
+}
+
+stop() {
+ # Nothing to stop
+ return 0;
+}